﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SfSchedule_Silverlight
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
        
            InitializeComponent();
            ScheduleAppointment app1 = new ScheduleAppointment();
            app1.StartTime = DateTime.Now.AddDays(-1).AddHours(1);
            app1.EndTime = DateTime.Now.AddDays(-1).AddHours(2);
            app1.Subject = "Car1";

            ScheduleAppointment app2 = new ScheduleAppointment();
            app2.StartTime = DateTime.Now.AddDays(-1).AddHours(3);
            app2.EndTime = DateTime.Now.AddDays(-1).AddHours(4);
            app2.Subject = "Car2";
         
            schedule.Appointments.Add(app1);
            schedule.Appointments.Add(app2);

        }
    }
    public class DateTimeToTimeConvertor : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var app = value as ScheduleAppointment;

            if (parameter != null && parameter.ToString() == "EndTime")
            {
                return app.EndTime.ToString("h:mm tt");
            }
            else
            {
                return app.StartTime.ToString("h:mm tt");
            }

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
